how I can make a button that can open a specify directory...like if I want to click a button and open C:\Windows I've to add a macro into the button settings..wich macro? PS: I use Autocad 2005 Thanks Chris
What application would you want to have open the folder? AutoCAD, Firefox, Oracle??? to click a button and open C:\Windows
Hi Try this: (DEFUN Cpenx () (setq FILNAM (getfiled "Open File" "C:\\Teste2\\" "dwg" 2 )) (command "_.VBASTMT" (strcat "AcadApplication.Documents.Open \"" FILNAM "\"")) ) Then create a button: ^C^C_openx cheers Henrique
if anyone wants to do the same from a Desktop icon...I got sick of going to "Documents and Settings...." %SystemRoot%\explorer.exe /e, c:\01-Paul
thanks to all for the replies... Just tried (STARTAPP(strcat "EXPLORER c:")) But this doesn't work if I change C: with the directory I need, because it's a LAN directory on an HD on LAN. It's normal that doesn't work?
Hi... See my post... Then change: (DEFUN Cpenx () (setq FILNAM (getfiled "Open File" "//COMPUTER NAME ON LAN/HD SHARE NAME/FOLDER/FOLDER/" "dwg" 2 )) (command "_.VBASTMT" (strcat "AcadApplication.Documents.Open \"" FILNAM "\"")) ) It works Cheers Henrique
Hi there, thanks again for the reply... Just tried your macro...but doesn't work (for me)... THe directory I've to add it's this: N:\ITC\ATG-GbC\5000 Progetto appalto\Lotto 851 - Opere sotterranee FIS CAOP\Bozza 2\III C N: is the HD on the server...the ITC directory have this path if I look under the LAN resources \\NAS\Dati NAS\DATI\ITC So I tried to modify your macro like this: ^C^C(DEFUN Cpenx ()^M;(setq FILNAM (getfiled "Open File" "//NAS/Dati NAS/DATI/ITC/ATG-GbC/5000 Progetto appalto/Lotto 851 - Opere sotterranee FIS CAOP/Bozza 2/III C" "dwg" 2 ))^M;(command "_.VBASTMT" (strcat "AcadApplication.Documents.Open \"" FILNAM^M;"\""))^M But that's what I get on Autocad..: Comando: (DEFUN Cpenx () (_> (_> (setq FILNAM (getfiled "Open File" "//NAS/Dati NAS/DATI/ITC/ATG-GbC/5000 Progetto appalto/Lotto 851 - Opere sotterranee FIS CAOP/Bozza 2/III C" "dwg" 2 )) (_> (_> (command "_.VBASTMT" (strcat "AcadApplication.Documents.Open And finally I can't open the directory...what I've to do? Thanks Chris
Hi Chris You have to create a lisp file “openx.lsp like this: (DEFUN Cpenx () (setq FILNAM (getfiled "Open File" "//N:/ITC/ATG-GbC/5000 Progetto appalto/Lotto 851 - Opere sotterranee FIS CAOP/Bozza 2/III C/" "dwg" 2 )) (command "_.VBASTMT" (strcat "AcadApplication.Documents.Open \"" FILNAM "\"")) ) Then you have to put the lisp file in your “startup suite†Then create a button with this macro ^C^C_openx Cheers Henrique
Maybe you just need to use the UNC path. That means, not H:\CAD\ but rather \\cadserver\cad where cadserver is the name of the computer on the network. To get the UNC path, go through network neighborhood and find it and then use THAT path.